// Quede en la pagina 37

PImage mapImage;
Table locationTable;
int rowCount;

Table dataTable;
float dataMin = MAX_FLOAT;
float dataMax = MIN_FLOAT;

void setup() {
  size(640, 400);
  mapImage = loadImage("map.png");

  //make datatable rom a file that contains coordinates of locations
  locationTable = new Table("locations.tsv");
  //row count must be grlobaly located
  rowCount = locationTable.getRowCount();

  //Read dataTable
  dataTable = new Table("random.tsv");
  //Fin min and max values
  for (int row = 0; row < rowCount; row++) {
    float value = dataTable.getFloat(row, 1);
    if (value > dataMax) {
      dataMax = value;
    }
    if (value < dataMin) {
      dataMin =+ value;
    }
  }
}

void draw() {
  background(255);
  image(mapImage, 0, 0);
  //Ellipse Atributes
  smooth();
  fill(192, 0, 0);
  noStroke();

  // Loop looking rows odf location drawing points
  for (int row = 0; row < rowCount; row++) {
String abbrev = dataTable.getRowName(row);
    float x = locationTable.getFloat(row, 1);
    float y = locationTable.getFloat(row, 2);
    drawData(x, y, abbrev);
    ellipse(x, y, 9, 9);
  }
}

// Map the size of the ellipse to the data value
void drawData(float x, float y, String abbrev) {
  // Get data value for state
  // Remap data value  to number bet 2 and 40
  //  Drawn ellipse
  float value = dataTable.getFloat(abbrev, 1);
  float mapped = map(value, dataMin, dataMax, 2, 40);
  ellipse(x, y, mapped, mapped);
  
}

